org.sqlite

## Class JDBC

- java.lang.Object
- - org.sqlite.JDBC

All Implemented Interfaces:
  Driver

    public class JDBC
    extends Object
    implements Driver

### Field Summary

Fields
`static String` `PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`JDBC()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`static SQLiteConnection` `createConnection(String url, Properties prop)` Creates a new database connection to a given URL.
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`static boolean` `isValidURL(String url)` Validates a URL
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### JDBC

    public JDBC()

### Method Detail

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`
See Also:
  `Driver.getMajorVersion()`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`
See Also:
  `Driver.getMinorVersion()`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`
See Also:
  `Driver.jdbcCompliant()`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`

#### acceptsURL

    public boolean acceptsURL(String url)

Specified by:
  `acceptsURL` in interface `Driver`
See Also:
  `Driver.acceptsURL(java.lang.String)`

#### isValidURL

    public static boolean isValidURL(String url)

Validates a URL

Parameters:
  `url` -
Returns:
  true if the URL is valid, false otherwise

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`
See Also:
  `Driver.getPropertyInfo(java.lang.String, java.util.Properties)`

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`
See Also:
  `Driver.connect(java.lang.String, java.util.Properties)`

#### createConnection

    public static SQLiteConnection createConnection(String url,
                                                    Properties prop)
                                             throws SQLException

Creates a new database connection to a given URL.

Parameters:
  `url` - the URL
  `prop` - the properties
Returns:
  a Connection object that represents a connection to the URL
Throws:
  `SQLException`
See Also:
  `Driver.connect(java.lang.String, java.util.Properties)`